Convert Company
Convert a company and its people into a partner with partner contacts.
Creates a new partner from the company's profile fields and a partner contact for each of the company's (non-deleted) people. The source company and people are left untouched.
Raises: HTTPException: - 404: Company not found - 409: A partner with the company's name already exists - 500: Internal server error during conversion
Body·
required
application/json
Request model for converting a company into a partner.
- Type: stringcompany
Id min length:1max length:50requiredIdentifier of the company to convert into a partner
Responses
- application/json
- application/json
Request Example for post/convert_company
curl https://crm.dreamhub.ai/api/v1/partners/convert_company \
--request POST \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer YOUR_SECRET_TOKEN' \
--data '{
"companyId": ""
}'
{
"partnerId": "string",
"partnerContactIds": [
"string"
]
}
